<?php

namespace App\Http\Business;

use Luticate\Utils\LuBusiness;
use App\Http\DataAccess\DnsDomainsDataAccess;
use App\Http\DBO\DnsDomainsDbo;

class DnsDomainsBusiness extends LuBusiness {
    protected static function getDataAccess()
    {
        return new DnsDomainsDataAccess();
    }

    public static function checkDomain(DnsDomainsDbo $domain)
    {
        if (is_null($domain->getName()) || !is_string($domain->getName())) {
            self::badInput("Name must be an string");
        }
    }

    public static function add(DnsDomainsDbo $domain)
    {
        return 0;
    }

    public static function edit(DnsDomainsDbo $domain)
    {
        return 0;
    }
}