<?php

use Luticate\Auth\Business\LuticateBusiness;
use Luticate\Doc\Business\LuDocBusiness;
use Luticate\Utils\LuRoute;

$route = LuRoute::getInstance();

$int = LuRoute::REG_UINT;
$domain_id = "{domain_id:$int}";

LuticateBusiness::setupAuth();
LuticateBusiness::setupRoutes();
LuDocBusiness::setupRoutes("/lunet");

$route->get("/dns", "DnsDomains", "getAll");
$route->post("/dns/add", "DnsDomains", "add");
$route->post("/dns/$domain_id/del", "DnsDomains", "del");
$route->post("/dns/$domain_id/edit", "DnsDomains", "edit");
